Solar Orbiter LFR - Bug #476
Bug # 471 (New): Bistream 1.1.85 issues

Bistream 1.1.88 tests ctc200_2015 07_23
24/07/2015 11:53 AM - thomas chust

Status: Closed Start date: 24/07/2015
Priority: Urgent Due date:

Assignee: thomas chust % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

-------- Message transféré --------

Sujet: Re: Test VHDL 1.1.88

Date: Thu, 23 Jul 2015 18:41:46 +0200

De: Thomas Chust <thomas.chust@Ipp.polytechnique.fr>

Pour :  veronigue bouzid <veronigue.bouzid@Ipp.polytechnique.fr>, jean-christophe.pellion@Ipp.polytechnique.fr <
jean-christophe.pellion@Ipp.polytechnique.fr>

Copie a: Alexis Jeandet <alexis.jeandet@Ipp.polytechnique.fr>, Nicolas Briand <nicolas.briand@Ipp.polytechnique.fr>, Bruno
Katra LPP <bruno.katra@lpp.polytechnique.fr>

J'ai fais quelques vérifications sur les fréquences:

- les positions en fréquences sont toutes correctes (au passage il n'y a plus de doublement des raies ...)

- le hanning semble aussi correct (pas de juppe, bonne propriété de symétrie, rapport 1/4 entre raie principale et secondaire lorsque
la fréquence tombe juste, pourra étre paufing ...)

- par contre il y a un facteur 2 d'écart entre les ASM calculées a bord et celles obtenues par les SWF: les ASM donnent un facteur de
conversion de ~4500 count/Volt alors qu'on obtient a partir des SWF ~9000 comme avant.

Sur le temps a vu de nez les 4s c'est ok.

Demain je continu sur le temps plus précisément ...
Merci pour ces superbes données !

A demain

Thomas

Le 23/07/2015 16:17, veronique bouzid a écrit :

hello,
J ai rejoué le test CTC200 avec la derniere version de VHDL 1.1.88 fourni par JC.

Tu peux donc dépouiller le test et vérfier
- le timing des produits NORMAL swf = 16s, asm = 4s, les autres produits ont la periode par défaut
- les e1/e2 car les B ne fonctionnent pas (a verifier)

le timegen a donc été lancé, les données sont bien datées

le lien
ftp://ftp.lpp.polytechnique.fr/bouzid/keep/LFR/CTC200/run-2015-07-23-EM-1.1.88/

Merci
Véronique

History

#1 - 24/07/2015 12:32 PM - thomas chust
- File calibration_swf 2015 _07 23 ctc-200.results added
- File 2015_07_23 15_30_22 SWF_V.png added
- File calibration_asm_2015_07_23_ctc-200.results added

- File ctc200_2015_07_23-15_30_19.pdf added

- File 2015_07_23 15_30 22 packet _record NORMAL.af0 added
- File 2015_07_23 15_39 38 packet record NORMAL.af0 added
- File 2015_07 23 15 _48 54 packet record NORMAL.af0 added
- File 2015_07_23 15 58 10 _packet _record NORMAL.af0 added
- File 2015_07_23 15_30 22 packet record NORMAL.sf0 added

Quelques précisions;

- le timing des ASM est régulier a 2*(--16) s pres (i.e. a 1 fine time pres) et la période est trés proche de 4s (262140 fine times au lieu de 262144;
cette observation avait déja été faite: #250)

- sur 34 snapshots 2 sont mal centrés (écart d'environ 0.2 s entre f2 et f1-f0)

- le centrage des f0 par rapport aux f1 sont réguliers et approximativement correctes: il pourrait étre amélioré de ~150 fine times

- le 3¢me snapshot f2 est en retard d'environ 0.2 s sinon tous les écarts sont proches de 16 s (1048561 fine times au lieu de 1048576)

- je confirme le facteur 2 d'écart de calibration entre les ASM et les SWF

Plus de détails dans les fichiers joints ...
#2 - 24/07/2015 12:44 PM - thomas chust

- File tests_time_VHDL-1.1.88 FSW-3.0.0.8 _2015_07_23 added

- Assignee changed from Jean-Christophe Pellion to thomas chust

#3 - 24/07/2015 03:47 PM - thomas chust
- File 2015_07_23_15_30_22 _SWF_V_3.png added

Pour J-C: un plot montrant le bon centrage des snapshot ...

#4 - 03/08/2015 05:40 PM - thomas chust
- File calibration_asm_2015_07_23_ctc-200_manual_hanning.odt added

- Assignee changed from thomas chust to Jean-Christophe Pellion

J'ai paufiné les tests sur les effets de la fenétre de Hanning. Dans I'immédiat j'ai procédé de maniére manuelle au cas par cas afin de vérifier la
dépendance en fréquence des amplitudes autour du pic principal, dans le cas général, c'est a dire méme lorsque la fréquence injectée ne tombe pas
juste.

CONCLUSION: plutét parfait (a mieux que 1% pour les raies centrales, a ~10% au pire pour les raies faibles au bord du plancher)

Résultats (copier/coller) dans le fichier ci-joint: "calibration_asm_2015_07_23_ctc-200_manual_hanning.odt"

#5 - 11/09/2015 06:45 PM - thomas chust

- File ctc200_2015_09_10-16_32_58.pdf added

- File tests_time_VHDL-1.1.89_FSW-3.0.0.8 2015 _09_10 added

- File calibration_asm_2015_09 10_ctc-200_manual_hanning.results added

- Assignee changed from Jean-Christophe Pellion to paul leroy

- Priority changed from Normal to Urgent

Quelques tests faits sur le bistream 1.1.89 tests ctc200_2015_09_10 => rapport de test : ctc200_2015_09_10-16_32_58.pdf

1) A l'instar du bitstream précédent certains snapshot sont décalés de fagon non négligeable: ici il s'agit d'une avance de ~0.26s. Cela concerne les
2éme SWF a FO et F1, ainsi que le 3éme SWF a F2. En conséquence les 2eme SWF_F0 & SWF1 sont mal centrés avec le 2éme SWF_F2 (écart
~0.26s). Pour le centrage du 3¢éme SWF c'est ok car I'avance de 0.26s est identique pour les 3 fréquences.

Fichier joint: tests_time_VHDL-1.1.89_FSW-3.0.0.8_2015_09_10

2) La fenétre de Hanning parait nominale : le facteur 2 a bien été corrigé par rapport au 1.1.88 et les valeurs des raies secondaires sont
quantitativement correctes

Fichier joint : calibration_asm_2015_09_10_ctc-200_manual_hanning.results

#6 - 14/09/2015 12:33 PM - bruno katra

- Tracker changed from Test case to Bug
https://hephaistos.lpp.polytechnique.fr/redmine/issues/250

#7 - 14/09/2015 01:56 PM - paul leroy

- revision set to r0

Ne pas mélanger les bitstreams dans les issues Redmine sinon c'est difficile a gérer.

1.1.89 => Bug #496

#8 - 28/09/2015 03:14 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to thomas chust

#9 - 22/06/2018 05:08 PM - bruno katra
- Status changed from Feedback to Closed

Trop vieux bitstream. Pb plus a l'ordre du jour...
